TKN-HUB-SEARCH(1)

NAME

tkn-hub-search - Search resource by a combination of name, kind, and tags

SYNOPSIS

tkn hub search

DESCRIPTION

Search resource by a combination of name, kind, and tags

OPTIONS

-h, --help[=false]
    help for search

--kinds=[]
    Accepts a comma separated list of kinds

-l, --limit=0
    Max number of resources to fetch

--match="contains"
    Accept type of search. 'exact' or 'contains'.

-o, --output="table"
    Accepts output format: [table, json]

--tags=[]
    Accepts a comma separated list of tags

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'HUB_API_SERVER'.

EXAMPLE

Search a resource of name 'foo':

    tkn hub search foo

or

Search resources using tag 'cli':

    tkn hub search --tags cli

SEE ALSO

tkn-hub(1)